---
title: Disabled Button
page_title: Disabled Button - Button - Kendo UI Wrappers for React
description: "Enable or disable the Kendo UI Button wrapper for React."
slug: disabled_state_button
position: 2
---

# Disabled Button

The business logic of an application often requires a certain button to be temporarily disabled or enabled.

You can configure the Button to be initially disabled by using its `enable` setting. The component can also be disabled or enabled at any time with JavaScript by using its `enable` method with a Boolean argument. For more information on the [`enable`](http://docs.telerik.com/kendo-ui/api/javascript/ui/button#methods-enable) method, refer to the [Button API](http://docs.telerik.com/kendo-ui/api/javascript/ui/button).

```jsx-preview
class ButtonContainer extends React.Component {
    constructor(props) {
        super(props);
    }

    render() {
        return (
            <div className="row">
                <div className="col-xs-12 col-sm-6 example-col">
                    <Button enable={false}>
                        Button
                    </Button>
                </div>
            </div>
        );
    }
}
ReactDOM.render(
    <ButtonContainer />,
    document.querySelector('my-app')
);
```

## Suggested Links

* [Kendo UI Button for jQuery](https://docs.telerik.com/kendo-ui/controls/navigation/button/overview)
* [API Reference of the Button Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/button)
