---
title: Badges
page_title: Badges - ButtonGroup - Kendo UI Wrappers for React
description: "Apply a badge to the buttons within the Kendo UI ButtonGroup wrapper for React."
slug: badges_buttongroup
position: 5
---

# Badges

The ButtonGroup enables you to apply a badge to each of its buttons.

To achieve this behavior, use the `data-badge` attribute of the `<li>` Button element.

```jsx-preview
class ButtonGroupContainer extends React.Component {
    constructor(props) {
        super(props);
    }

    render() {
        return (
            <div className="row">
                <div className="col-xs-12 col-sm-6 example-col">
                    <ButtonGroup>
                        <li data-badge={25}>Option 1</li>
                        <li>Option 2</li>
                    </ButtonGroup>
                </div>
            </div>
        );
    }
}
ReactDOM.render(
    <ButtonGroupContainer />,
    document.querySelector('my-app')
);
```

## Suggested Links

* [Kendo UI ButtonGroup for jQuery](https://demos.telerik.com/kendo-ui/buttongroup/index)
* [API Reference of the ButtonGroup Widget](https://docs.telerik.com/kendo-ui/api/javascript/mobile/ui/buttongroup)
