---
title: Preselected Buttons
page_title: Preselected Buttons - ButtonGroup - Kendo UI Wrappers for React
description: "Preselect a button within the Kendo UI ButtonGroup wrapper for React."
slug: preselected_buttons_buttongroup
position: 2
---

# Preselected Buttons

The ButtonGroup enables you to preselect a button.

To achieve this behavior, use the `index` configuration option. The buttons have zero-based indexes.

```jsx-preview
class ButtonGroupContainer extends React.Component {
    constructor(props) {
        super(props);
    }

    render() {
        return (
            <div className="row">
                <div className="col-xs-12 col-sm-6 example-col">
                    <ButtonGroup index={1}>
                        <li>Green button</li>
                        <li>Option 2</li>
                    </ButtonGroup>
                </div>
            </div>
        );
    }
}
ReactDOM.render(
    <ButtonGroupContainer />,
    document.querySelector('my-app')
);
```

## Suggested Links

* [Kendo UI ButtonGroup for jQuery](https://demos.telerik.com/kendo-ui/buttongroup/index)
* [API Reference of the ButtonGroup Widget](https://docs.telerik.com/kendo-ui/api/javascript/mobile/ui/buttongroup)
